org.eclipse.rdf4j.query.parser.sparql

## Class NegatedPropertySet

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.NegatedPropertySet

-     public class NegatedPropertySet
      extends Object

  A negated property set is a SPARQL construction of the form {?X !(uri|^uri) ?Y}. This class is a temporary representation used by the parser. It is converted by the TupleExprBuilder into a set of joins and filters on regular statement patterns.
  Author:
    Jeen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegatedPropertySet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertySetElem(PropertySetElem elem)`
    `Var` | `getContextVar()`
    `List<ValueExpr>` | `getObjectList()`
    `List<PropertySetElem>` | `getPropertySetElems()`
    `StatementPattern.Scope` | `getScope()`
    `Var` | `getSubjectVar()`
    `void` | `setContextVar(Var contextVar)`
    `void` | `setObjectList(List<ValueExpr> objectList)`
    `void` | `setPropertySetElems(List<PropertySetElem> propertySetElems)`
    `void` | `setScope(StatementPattern.Scope scope)`
    `void` | `setSubjectVar(Var subjectVar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NegatedPropertySet

          public NegatedPropertySet()

  - ### Method Detail

    - #### setScope

          public void setScope(StatementPattern.Scope scope)

      Parameters:
        `scope` - The scope to set.

    - #### getScope

          public StatementPattern.Scope getScope()

      Returns:
        Returns the scope.

    - #### setSubjectVar

          public void setSubjectVar(Var subjectVar)

      Parameters:
        `subjectVar` - The subjectVar to set.

    - #### getSubjectVar

          public Var getSubjectVar()

      Returns:
        Returns the subjectVar.

    - #### setObjectList

          public void setObjectList(List<ValueExpr> objectList)

      Parameters:
        `objectList` - The objectList to set.

    - #### getObjectList

          public List<ValueExpr> getObjectList()

      Returns:
        Returns the objectList.

    - #### setContextVar

          public void setContextVar(Var contextVar)

      Parameters:
        `contextVar` - The contextVar to set.

    - #### getContextVar

          public Var getContextVar()

      Returns:
        Returns the contextVar.

    - #### setPropertySetElems

          public void setPropertySetElems(List<PropertySetElem> propertySetElems)

      Parameters:
        `propertySetElems` - The propertySetElems to set.

    - #### getPropertySetElems

          public List<PropertySetElem> getPropertySetElems()

      Returns:
        Returns the propertySetElems.

    - #### addPropertySetElem

          public void addPropertySetElem(PropertySetElem elem)

      Parameters:
        `elem` -

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.